### Hierarchy

- FlexSearchIndex

### Implements

- IIndex

## Index

### Constructors

- constructor

### Properties

- flexSearch

### Methods

- add
- clear
- search

## Constructors

### constructor

- new FlexSearchIndex(customConfig?: CreateOptions): FlexSearchIndex

- - Defined in lib/behaviour/autocomplete/index/FlexSearchIndex.ts:10

  #### Parameters

  - ##### Default value customConfig: CreateOptions = {}

  #### Returns FlexSearchIndex

## Properties

### flexSearch

flexSearch: Index<IDocument>

- Defined in lib/behaviour/autocomplete/index/FlexSearchIndex.ts:10

## Methods

### add

- add(element: string): void

- Implementation of IIndex.add

  - Defined in lib/behaviour/autocomplete/index/FlexSearchIndex.ts:28

  #### Parameters

  - ##### element: string

  #### Returns void

### clear

- clear(): void

- Implementation of IIndex.clear

  - Defined in lib/behaviour/autocomplete/index/FlexSearchIndex.ts:42

  #### Returns void

### search

- search(query: string, limit?: number): Promise<string[]>

- - Defined in lib/behaviour/autocomplete/index/FlexSearchIndex.ts:32

  #### Parameters

  - ##### query: string

  - ##### Default value limit: number = 10

  #### Returns Promise<string[]>

Generated using TypeDoc